org.objectweb.util.ant

## Class MultipleCopy

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Copy
      - - org.objectweb.util.ant.MultipleCopy

All Implemented Interfaces:
  Cloneable

    public class MultipleCopy
    extends org.apache.tools.ant.taskdefs.Copy

Author:

  ### Field Summary

  Fields
  `protected File` `basedir`
  `protected org.apache.tools.ant.types.FileSet` `fileset`
  `protected String` `myFile`
  `protected boolean` `notReplace`
  `protected boolean` `useDefaultExcludes`

  ### Fields inherited from class org.apache.tools.ant.taskdefs.Copy

  `completeDirMap, destDir, destFile, dirCopyMap, failonerror, file, fileCopyMap, filesets, fileUtils, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, rcs, verbosity`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

  ### Constructor Summary

  Constructors
  Constructor and Description
  `MultipleCopy()`

  ### Method Summary

  Methods
  `void` `copy()` Performs the copy operation.
  `org.apache.tools.ant.types.PatternSet.NameEntry` `createExclude()` add a name entry on the exclude list
  `org.apache.tools.ant.types.PatternSet.NameEntry` `createExcludesFile()` add a name entry on the include files list
  `org.apache.tools.ant.types.PatternSet.NameEntry` `createInclude()` add a name entry on the include list
  `org.apache.tools.ant.types.PatternSet.NameEntry` `createIncludesFile()` add a name entry on the include files list
  `org.apache.tools.ant.types.PatternSet` `createPatternSet()` add a set of patterns
  `void` `execute()`
  `protected org.apache.tools.ant.DirectoryScanner` `getDirectoryScanner(File baseDir)` Returns the directory scanner needed to access the files to process.
  `void` `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
  `void` `setExcludes(String excludes)` Sets the set of exclude patterns.
  `void` `setExcludesfile(File excludesfile)` Sets the name of the file containing the includes patterns.
  `void` `setIncludes(String includes)` Sets the set of include patterns.
  `void` `setIncludesfile(File includesfile)` Sets the name of the file containing the includes patterns.
  `void` `setNotReplace(boolean nr)`
  `void` `setTodir(File bd)`
  `void` `setTofile(String f)` Sets the destination file.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.Copy

  `add, add, addFileset, buildMap, buildMap, createFilterChain, createFilterSet, createMapper, doFileOperations, doResourceOperations, getEncoding, getFileUtils, getFilterChains, getFilterSets, getForce, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setForce, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setTofile, setVerbose, supportsNonFileResources, validateAttributes`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### basedir

    protected File basedir

#### myFile

    protected String myFile

#### notReplace

    protected boolean notReplace

#### useDefaultExcludes

    protected boolean useDefaultExcludes

#### fileset

    protected org.apache.tools.ant.types.FileSet fileset

### Constructor Detail

#### MultipleCopy

    public MultipleCopy()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.Copy`
Throws:
  `org.apache.tools.ant.BuildException`

#### copy

    public void copy()
              throws org.apache.tools.ant.BuildException

Performs the copy operation.

Throws:
  `org.apache.tools.ant.BuildException`

#### setNotReplace

    public void setNotReplace(boolean nr)

#### setTodir

    public void setTodir(File bd)

Overrides:
  `setTodir` in class `org.apache.tools.ant.taskdefs.Copy`

#### setTofile

    public void setTofile(String f)

Sets the destination file.

#### createInclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createInclude()

add a name entry on the include list

#### createIncludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createIncludesFile()

add a name entry on the include files list

#### createExclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createExclude()

add a name entry on the exclude list

#### createExcludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createExcludesFile()

add a name entry on the include files list

#### createPatternSet

    public org.apache.tools.ant.types.PatternSet createPatternSet()

add a set of patterns

#### setIncludes

    public void setIncludes(String includes)

Sets the set of include patterns. Patterns may be separated by a comma or a space.

Parameters:
  `includes` - the string containing the include patterns

#### setExcludes

    public void setExcludes(String excludes)

Sets the set of exclude patterns. Patterns may be separated by a comma or a space.

Parameters:
  `excludes` - the string containing the exclude patterns

#### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

Sets whether default exclusions should be used or not.

Parameters:
  `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

#### getDirectoryScanner

    protected org.apache.tools.ant.DirectoryScanner getDirectoryScanner(File baseDir)

Returns the directory scanner needed to access the files to process.

#### setIncludesfile

    public void setIncludesfile(File includesfile)

Sets the name of the file containing the includes patterns.

Parameters:
  `includesfile` - A string containing the filename to fetch the include patterns from.

#### setExcludesfile

    public void setExcludesfile(File excludesfile)

Sets the name of the file containing the includes patterns.

Parameters:
  `excludesfile` - A string containing the filename to fetch the include patterns from.